### Method

# EDataServer SoupAuthBearer set_access_token

since: 3.10

#### Declaration [src]

    void
    e_soup_auth_bearer_set_access_token (
      ESoupAuthBearer* bearer,
      const gchar* access_token,
      gint expires_in_seconds
    )

#### Description [src]

This function is analogous to `soup_auth_authenticate()` for “Basic” HTTP authentication, except it takes an OAuth 2.0 access token instead of a username and password.

If `expires_in_seconds` is greater than zero, `soup_auth_is_authenticated()` will return `FALSE` after the given number of seconds have elapsed.

Available since: 3.10

#### Parameters

`access_token`

  Type: `const gchar*`

  An OAuth 2.0 access token.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`expires_in_seconds`

  Type: `gint`

  Expiry for `access_token`, or 0 if unknown.